import 'package:wolf_3d_dart/wolf_3d_data_types.dart';

abstract class EngineAudio {
  WolfensteinData? activeGame;
  Future<void> debugSoundTest();
  void playMenuMusic();
  void playLevelMusic(Music music);
  void stopMusic();
  Future<void> stopAllAudio();
  void playSoundEffect(SoundEffect effect);
  void playSoundEffectId(int sfxId);
  Future<void> init();
  void dispose();
}
